<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Nexpose|Nexpose Scan">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to set up a Nexpose Console for Metasploit to use to run a vulnerability scan. " /><title>Configuring a Nexpose Console</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#10-nexpose/configuring-nexpose-console.html">Open topic with navigation</a>
        </p>
        <h2>Configuring a Nexpose Console<a name="kanchor88"></a></h2>
        <ol data-mc-continue="false">
            <li value="1">Choose <b class="UISelection">Administration &gt; Global Settings</b> from the main menu. </li>
        </ol>
        <p>
            <img src="../Resources/Images/nexpose/nexpose-global-settings-menu.png" title="Global Settings Menu" alt="Global Settings Menu" />
        </p>
        <ol data-mc-continue="true">
            <li value="2">Scroll down to the Nexpose Consoles area. </li>
        </ol>
        <p>
            <img src="../Resources/Images/nexpose/nexpose-consoles-area.png" title="Nexpose Consoles" alt="Nexpose Consoles" /> <![CDATA[
]]></p>
        <ol data-mc-continue="true">
            <li value="3">Click <b class="UISelection">Configure a Nexpose Console</b>. </li>
        </ol>
        <p>
            <img src="../Resources/Images/nexpose/nexpose-configure-nexpose-console.png" title="Configure Nexpose Console" alt="Configure Nexpose Console" />
        </p>
        <ol data-mc-continue="true">
            <li value="4">
In the <b class="UISelection">Console Name</b> field, enter a name for the console. </li>
        </ol>
        <p>
            <img src="../Resources/Images/nexpose/nexpose-console-name.png" title="Nexpose Console Name" alt="Nexpose Console Name" />
        </p>
        <ol data-mc-continue="true">
            <li value="5"> 
Enter the console address. For example, if Nexpose runs on the local system, you can use 127.0.0.1. </li>
        </ol>
        <p>
            <img src="../Resources/Images/nexpose/nexpose-console-address.png" title="Nexpose Console Addresss" alt="Nexpose Console Address" /> <![CDATA[
]]></p>
        <ol data-mc-continue="true">
            <li value="6">Enter the console port. By default, Nexpose runs on port 3780.
</li>
        </ol>
        <p>
            <img src="../Resources/Images/nexpose/nexpose-console-port.png" title="Nexpose Console Port" alt="Nexpose Console Port" />
        </p>
        <ol data-mc-continue="true">
            <li value="7">Enter the user name that you use to log in to the Nexpose Console. </li>
        </ol>
        <p>
            <img src="../Resources/Images/nexpose/nexpose-username.png" title="Nexpose User Name" alt="Nexpose User Name" />
        </p>
        <ol data-mc-continue="true">
            <li value="8">
Enter the password that you use to log in to the Nexpose Console. </li>
        </ol>
        <p>
            <img src="../Resources/Images/nexpose/nexpose-password.png" title="Nexpose Password" alt="Nexpose Password" />
        </p>
        <ol data-mc-continue="true">
            <li value="9">Select the <b class="UISelection">Enabled </b>option to initialize and activate the Nexpose Console.
</li>
            <li value="10">Save the configuration. </li>
        </ol>
    </body>
</html>